Subject: Re: bug#37232: git pull warns of http redirection

From: Gábor Boskovits <[email-masked]>
Date: Fri, 30 Aug 2019 10:40:43 +0200

Hello,

Bengt Richter <[email-masked]> ezt írta (időpont: 2019. aug. 30., P, 9:54):

> Hi all,
>
> It seems to be working, but I like to
> eliminate warnings ;-)
>
> To reproduce, cd into your repo dir, then:
>
> $ git status
> On branch master
> Your branch is up to date with 'origin/master'.
>
> nothing to commit, working tree clean
> $ git config -l
> core.editor=emacs
> user.name=Bengt Richter
> user.email=[email-masked]
> core.repositoryformatversion=0
> core.filemode=true
> core.bare=false
> core.logallrefupdates=true
> remote.origin.url=http://git.sv.gnu.org/r/guix.git

This line says, that you confgiured remote is git.sv.gnu.org ...

>
> remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*
> branch.master.remote=origin
> branch.master.merge=refs/heads/master
> $ git pull
> warning: redirecting to http://git.savannah.gnu.org/r/guix.git/
> Already up to date.
> $
>

And this is the current url:

git clone https://git.savannah.gnu.org/git/guix.git

from

https://savannah.gnu.org/git/?group=guix

>
> Is that http necessary for some load-balancing
> redirection, or could it be done with https?
>
>
So https is fine.

You can try:
git remote set-url origin

https://git.savannah.gnu.org/git/guix.git

--== (the rest of this is ignorable context, FWIW :) ==--
>
> I think I used the advice from guix 1.0.1 info
> to do the initial clone, i.e.,
> --advice
> 14.1 Building from Git
>
> If you want to hack Guix itself, it is recommended to use the latest
> version from the Git repository:
>
> git clone https://git.savannah.gnu.org/git/guix.git
> --advice--
> (though my purpose was not use it for building, but to have the latest
> and greatest to grep around in when trying to figure something out ;-)
>
> uname -a:
> Linux PhantoNv4ArchGx 5.2.9-arch1-1-ARCH #1 SMP PREEMPT Fri Aug 16
> 11:29:43 UTC 2019 x86_64 GNU/Linux
>
> guix describe:
> Generation 11   Aug 25 2019 20:58:43    (current)
>   guix a707484
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: a707484d64e7e46f8cb8401c660fbb6eb77ab9c6
>
> (cd ~/wb/guix; git log|head):
> commit 43412ab967ee00789fe933f916d804aed9961c57
> Author: Tobias Geerinckx-Rice <[email-masked]>
> Date:   Fri Aug 30 03:17:07 2019 +0200
>
>     gnu: aqbanking: Update to 5.8.1.
>
>     * gnu/packages/gnucash.scm (aqbanking): Update to 5.8.1.
>     [source]: Remove FILE-NAME.
>
> commit 521bb336782b8fe04b57ebaadd55be005a85d788
>
> grep -m1 'model name' /proc/cpuinfo:
> model name      : Intel(R) Core(TM) i7-6700HQ CPU @ 2.60GHz
>
> --== (end of ignorable context, FWIW :) ==--
>
> Regards,
> Bengt Richter
>
> Best regards,
g_bor

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21